# List active orders

`GET /api/orders/{trader}/active`

## Authorization



## Parameters

- path: trader (string; required). 

Type: string

Example: "0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660"

- query: statuses (string · enum[]; optional). 

Type: string · enum[]

[]Type: string · enum

[]Allowed values: ["seq_pending","seq_executing","active","pending","tx_sent","executed","canceled","canceled_by_sequencer","expired","error"]

- query: direction (string · enum; optional). 

Type: string · enum

Allowed values: ["long","short"]

- query: limit (integer; optional). 

Type: integer

Default: 20

- query: offset (integer; optional). 

Type: integer

Default: 0

- query: walletId (string; optional). 

Type: string

## Example · cURL

```bash
curl --request GET 'https://api.storm.tg/api/orders/{trader}/active' \
  --header 'Accept: application/json'
```

## Example · JavaScript

```javascript
const response = await fetch("https://api.storm.tg/api/orders/{trader}/active", {
  method: "GET",
  headers: {
    "Accept": "application/json"
  },
});
console.log(response.status, await response.text());
```

## Example · Python

```python
import requests

response = requests.request(
    "GET",
    "https://api.storm.tg/api/orders/{trader}/active",
    headers={"Accept":"application/json"},
    timeout=30,
)
print(response.status_code, response.text)
```

## Response 200 · Data.OrderResponse

**200** application/json — Response

Type: object[]

[]Schema: Data.OrderResponse

[]Type: object

[]Required fields: id, txId, trader, masterTrader, market, status, type, direction, stopPrice, limitPrice, stopTriggerPrice, takeTriggerPrice, leverage, index, positionId, expiration, amount, indexPrice, settlementOraclePrice, createdAt, error

[]Required field types: id (string; required), txId (string; required), trader (string; required), masterTrader (string; required), market (string; required), status (string · enum; required), type (string · enum; required), direction (string · enum; required), stopPrice (string · int64 · nullable; required), limitPrice (string · int64 · nullable; required), stopTriggerPrice (string · int64 · nullable; required), takeTriggerPrice (string · int64 · nullable; required), leverage (string · int64 · nullable; required), index (number · nullable; required), positionId (string · nullable; required), expiration (string · date-time · nullable; required), amount (string · int64 · nullable; required), indexPrice (string · int64 · nullable; required), settlementOraclePrice (string · int64 · nullable; required), createdAt (string · date-time; required), error (string · nullable; required)

- []id (string; required)

[]id example: string

[]id.Type: string

- []txId (string; required)

[]txId example: string

[]txId.Type: string

- []trader (string; required)

[]trader example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660

[]trader.Type: string

- []masterTrader (string; required)

[]masterTrader example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660

[]masterTrader.Type: string

- []market (string; required)

[]market example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660

[]market.Type: string

- []status (string · enum; required)

[]status example: seq_pending

[]status.Type: string · enum

[]status.Allowed values: ["seq_pending","seq_executing","active","pending","tx_sent","executed","canceled","canceled_by_sequencer","expired","error"]

- []type (string · enum; required)

[]type example: market

[]type.Type: string · enum

[]type.Allowed values: ["market","stop","take","limit","liquidation","max_pnl","add_margin","remove_margin"]

- []direction (string · enum; required)

[]direction example: long

[]direction.Type: string · enum

[]direction.Allowed values: ["long","short"]

- []stopPrice (string · int64 · nullable; required)

[]stopPrice example: 0

[]stopPrice.Type: string · int64 · nullable

[]stopPrice.format: int64

[]stopPrice.pattern: ^(0|-?[1-9][0-9]*)$

- []limitPrice (string · int64 · nullable; required)

[]limitPrice example: 0

[]limitPrice.Type: string · int64 · nullable

[]limitPrice.format: int64

[]limitPrice.pattern: ^(0|-?[1-9][0-9]*)$

- []stopTriggerPrice (string · int64 · nullable; required)

[]stopTriggerPrice example: 0

[]stopTriggerPrice.Type: string · int64 · nullable

[]stopTriggerPrice.format: int64

[]stopTriggerPrice.pattern: ^(0|-?[1-9][0-9]*)$

- []takeTriggerPrice (string · int64 · nullable; required)

[]takeTriggerPrice example: 0

[]takeTriggerPrice.Type: string · int64 · nullable

[]takeTriggerPrice.format: int64

[]takeTriggerPrice.pattern: ^(0|-?[1-9][0-9]*)$

- []leverage (string · int64 · nullable; required)

[]leverage example: 0

[]leverage.Type: string · int64 · nullable

[]leverage.format: int64

[]leverage.pattern: ^(0|-?[1-9][0-9]*)$

- []index (number · nullable; required)

[]index example: 0

[]index.Type: number · nullable

- []positionId (string · nullable; required)

[]positionId example: string

[]positionId.Type: string · nullable

- []expiration (string · date-time · nullable; required)

[]expiration example: 2026-01-01T00:00:00Z

[]expiration.Type: string · date-time · nullable

[]expiration.format: date-time

- []amount (string · int64 · nullable; required)

[]amount example: 0

[]amount.Type: string · int64 · nullable

[]amount.format: int64

[]amount.pattern: ^(0|-?[1-9][0-9]*)$

- []indexPrice (string · int64 · nullable; required)

[]indexPrice example: 0

[]indexPrice.Type: string · int64 · nullable

[]indexPrice.format: int64

[]indexPrice.pattern: ^(0|-?[1-9][0-9]*)$

- []settlementOraclePrice (string · int64 · nullable; required)

[]settlementOraclePrice example: 0

[]settlementOraclePrice.Type: string · int64 · nullable

[]settlementOraclePrice.format: int64

[]settlementOraclePrice.pattern: ^(0|-?[1-9][0-9]*)$

- []createdAt (string · date-time; required)

[]createdAt example: 2026-01-01T00:00:00Z

[]createdAt.Type: string · date-time

[]createdAt.format: date-time

- []error (string · nullable; required)

[]error example: string

[]error.Type: string · nullable

Example



```json
[
  {
    "id": "string",
    "txId": "string",
    "trader": "0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660",
    "masterTrader": "0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660",
    "market": "0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660",
    "status": "seq_pending",
    "type": "market",
    "direction": "long",
    "stopPrice": "0",
    "limitPrice": "0",
    "stopTriggerPrice": "0",
    "takeTriggerPrice": "0",
    "leverage": "0",
    "index": 0,
    "positionId": "string",
    "expiration": "2026-01-01T00:00:00Z",
    "amount": "0",
    "indexPrice": "0",
    "settlementOraclePrice": "0",
    "createdAt": "2026-01-01T00:00:00Z",
    "error": "string"
  }
]
```